Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.informix4
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.informix4.BaseHandler
            |
            +--weblogic.jdbcbase.informix4.Statement
                  |
                  +--weblogic.jdbc.informix4.Statement

public class Statement
extends weblogic.jdbcbase.informix4.Statement
implements java.sql.Statement, weblogic.jdbcbase.informix4.IStatement

This class is documented only for WebLogic extensions to JDBC. For all other methods, see the JDBC spec and related documentation.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.informix4.Statement
`AlterIndexType, AlterType, BeginType, BLOBUpdateTerminator, byteType, charType, CommitType, connection, count, CreateIndexType, CreateProcedureType, CreateRoleType, CreateSchemaType, CreateSynonymType, CreateTempTableType, CreateTriggerType, CreateType, CreateViewType, CSClass, cursorID, DeleteAllType, DeleteType, DropIndexType, DropProcedureType, DropRoleType, DropSynonymType, DropTableType, DropTriggerType, DropViewType, enableEscapeProcessing, encoding, escQuotes, exceptionSeverity, FourNulls, GrantType, HostInfoOffsetBegin, Informix2BCursorName, InformixAcceptType, InformixAckPacket, InformixAckUpdate_1, InformixAckUpdate_3, InformixBLOBHeaderTail, InformixBLOBInsertID, InformixBLOBInsertTerminator, InformixCursorName_1, InformixCursorName_3, InformixCursorName_5, InformixDBAckPacket, InformixDBNameHeader, InformixDBResponse, InformixEmptyID, InformixEmptyKey, InformixHeadDelimiter, InformixHostInfo, InformixInsertParams, InformixInsertType, InformixMagicPacket, InformixMetaDataType, InformixNullTail, InformixPostMetaPacket, InformixPostTermMetaPacket, InformixPreparedStatement, InformixProcMetaDataType, InformixResponseType, InformixResultType, InformixSelectIntoType, InformixSQLErrorType, InformixTailDelimiter, InformixUpdateType, InformixVersionPacket, inParameters, kErrorLoginFailed, kMsWarningHeader, LockTableType, majorDBMSVersion, MaxInfoLength, needsResult, newsql, outParameters, outResults, PSClass, pStmtSql, query, RenameColumnType, RenameTableType, reply, result, RevokeType, RollbackType, SClass, SetDebugFileType, SetExplainType, SetIsolationType, SetLockModeType, SetLogType, SetOptimizationType, SetPDQType, SetRoleType, StartViolationsType, StopViolationsType, textType, UnLockTableType, UpdateAllType, UpdateStatisticsProcType, UpdateStatisticsType, vcharType`

Fields inherited from class weblogic.jdbcbase.informix4.BaseHandler
`closed, kInformixProtocol, kMicrosoftProtocol, kOracleProtocol, kSybaseProtocol, kUnknownProtocol, unique, warnings`

Method Summary
`void` | `addBatch(java.lang.String sql)`
`void` | `clearBatch()`
`int[]` | `executeBatch()`
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetType()`
`int` | `getSerialNumber()` Returns the serial number after an insert.
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`

Methods inherited from class weblogic.jdbcbase.informix4.Statement
`cancel, checkForInformixError, checkPrepNoBLOBParms, clearParameters, close, compareByteArrays, compareWithExpected, countBLOBParams, countPrepParams, doEscapeProcessing, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getHostInfoData, getInt, getLoginData, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getServerVersion, getShort, getStmtClass, getString, getTime, getTimestamp, getUpdateCount, informixLogin, insertCursorID, printPackets, processAndThrowError, processError, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDatabase, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setOutResults, setQueryTimeout, setShort, setStmtClass, setString, setTime, setTimestamp, setUnicodeStream, stringFromFloat, testForLikeEscape, throwAndYield, wasNull, writeBLOBs, writePrepParms, writeStatementType`

Methods inherited from class weblogic.jdbcbase.informix4.BaseHandler
`appendWarning, clearWarnings, complainIfClosed, finalize, getProtocol, getWarnings, isClosed, setProtocol`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSerialNumber

    public int getSerialNumber()

  Returns the serial number after an insert. To use this method (a WebLogic jdbcKona/Informix4 extension to JDBC) you must cast your Statement object to `weblogic.jdbc.informix4.Statement`.

  Returns:
    Serial number, if it existsto-
  Overrides:
    getSerialNumber in class weblogic.jdbcbase.informix4.Statement

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

  Overrides:
    setFetchDirection in class weblogic.jdbcbase.informix4.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

  Overrides:
    getFetchDirection in class weblogic.jdbcbase.informix4.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

  Overrides:
    setFetchSize in class weblogic.jdbcbase.informix4.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

  Overrides:
    getFetchSize in class weblogic.jdbcbase.informix4.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

  Overrides:
    getResultSetConcurrency in class weblogic.jdbcbase.informix4.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

  Overrides:
    getResultSetType in class weblogic.jdbcbase.informix4.Statement

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.Statement

  Overrides:
    addBatch in class weblogic.jdbcbase.informix4.Statement

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    clearBatch in interface java.sql.Statement

  Overrides:
    clearBatch in class weblogic.jdbcbase.informix4.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    executeBatch in interface java.sql.Statement

  Overrides:
    executeBatch in class weblogic.jdbcbase.informix4.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

  Overrides:
    getConnection in class weblogic.jdbcbase.informix4.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD